## docker.io 27.5.1+dfsg3

=== Makefile ===
#
# github.com/docker/cli
#

# Sets the name of the company that produced the windows binary.
PACKAGER_NAME ?=

# The repository doesn't have a go.mod, but "go list", and "gotestsum"
# expect to be run from a module.
GO111MODULE=auto
export GO111MODULE

all: binary

_:=$(shell ./scripts/warn-outside-container $(MAKECMDGOALS))

.PHONY: dev
dev: ## start a build container in interactive mode for in-container development
	@if [ -n "${DISABLE_WARN_OUTSIDE_CONTAINER}" ]; then \
		echo "you are already in the dev container"; \
	else \
		$(MAKE) -f docker.Makefile dev; \
	fi

.PHONY: shell
shell: dev ## alias for dev

.PHONY: clean
clean: ## remove build artifacts
	rm -rf ./build/* man/man[1-9] docs/yaml

.PHONY: test
test: test-unit ## run tests

.PHONY: test-unit
test-unit: ## run unit tests, to change the output format use: GOTESTSUM_FORMAT=(dots|short|standard-quiet|short-verbose|standard-verbose) make test-unit
	gotestsum -- $${TESTDIRS:-$(shell go list ./... | grep -vE '/vendor/|/e2e/')} $(TESTFLAGS)

.PHONY: test-coverage
test-coverage: ## run test coverage
	mkdir -p $(CURDIR)/build/coverage
	gotestsum -- $(shell go list ./... | grep -vE '/vendor/|/e2e/') -coverprofile=$(CURDIR)/build/coverage/coverage.txt

.PHONY: lint
lint: ## run all the lint tools
	golangci-lint run

.PHONY: shellcheck
shellcheck: ## run shellcheck validation
	find scripts/ contrib/completion/bash -type f | grep -v scripts/winresources | grep -v '.*.ps1' | xargs shellcheck

.PHONY: fmt
fmt: ## run gofumpt (if present) or gofmt
	@if command -v gofumpt > /dev/null; then \
		gofumpt -w -d -lang=1.21 . ; \
	else \
		go list -f {{.Dir}} ./... | xargs gofmt -w -s -d ; \
	fi

.PHONY: binary
binary: ## build executable for Linux
	./scripts/build/binary

.PHONY: dynbinary
dynbinary: ## build dynamically linked binary
	GO_LINKMODE=dynamic ./scripts/build/binary

.PHONY: plugins
plugins: ## build example CLI plugins
	./scripts/build/plugins

.PHONY: vendor
vendor: ## update vendor with go modules
	rm -rf vendor
	./scripts/vendor update

.PHONY: validate-vendor
validate-vendor: ## validate vendor
	./scripts/vendor validate

.PHONY: mod-outdated
mod-outdated: ## check outdated dependencies
	./scripts/vendor outdated

.PHONY: authors
authors: ## generate AUTHORS file from git history
	scripts/docs/generate-authors.sh

.PHONY: completion
completion: binary
completion: /etc/bash_completion.d/docker
completion: ## generate and install the completion scripts

.PHONY: /etc/bash_completion.d/docker
/etc/bash_completion.d/docker: ## generate and install the bash-completion script
	mkdir -p /etc/bash_completion.d
	docker completion bash > /etc/bash_completion.d/docker

.PHONY: manpages
manpages: ## generate man pages from go source and markdown
	scripts/docs/generate-man.sh

.PHONY: mddocs
mddocs: ## generate markdown files from go source
	scripts/docs/generate-md.sh

.PHONY: yamldocs
yamldocs: ## generate documentation YAML files consumed by docs repo
	scripts/docs/generate-yaml.sh

.PHONY: help
help: ## print this help
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z0-9_-]+:.*?## / {gsub("\\\\n",sprintf("\n%22c",""), $$2);printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

=== engine/man/Makefile ===
prefix = /usr/local
mandir = $(prefix)/man
INSTALL = install
INSTALL_DATA = ${INSTALL} -m 644

# By default, the man pages are generated using a copy of go-md2man built from
# the vendored sources in this directory. This behavior can be overridden by
# setting the GO_MD2MAN variable to the name/path of an existing go-md2man
# binary.
GO_MD2MAN ?= .build/go-md2man

ALL_PAGES := $(wildcard *.*.md)

# Determine which manual sections we are generating pages for
# by isolating the last part of the filename before the extension
# and eliminating duplicates.
man_section = $(lastword $(subst ., ,$(1)))
sections := $(sort $(foreach page,$(ALL_PAGES:.md=),$(call man_section,$(page))))

# Dynamically generate pattern rules for each manual section
# so make knows how to build a target like man8/dockerd.8.
define MANPAGE_template
man$(1)/%.$(1): %.$(1).md $(if $(findstring file,$(origin GO_MD2MAN)),$(GO_MD2MAN)) | man$(1)
	$(GO_MD2MAN) -in $$< -out $$@
endef
$(foreach sec,$(sections),$(eval $(call MANPAGE_template,$(sec))))

# Default target: build all man pages.
all: $(foreach page,$(ALL_PAGES:.md=),man$(call man_section,$(page))/$(page))

# Target for creating the man{1..8} directories as needed.
.PRECIOUS: man%
man%:
	-mkdir $@

.PHONY: install
install: all
	@set -ex; \
	for sec in $(sections); do \
		$(INSTALL) -d $(DESTDIR)$(mandir)/man$$sec && \
		$(INSTALL_DATA) man$$sec/* $(DESTDIR)$(mandir)/man$$sec; \
	done

.build/go-md2man: go.mod go.sum
	GO111MODULE=auto go build -o $@ github.com/cpuguy83/go-md2man/v2

.PHONY: clean
clean:
	rm -r man* .build

=== vendor/github.com/containerd/fuse-overlayfs-snapshotter/Makefile ===
#   Copyright The containerd Authors.

#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at

#       http://www.apache.org/licenses/LICENSE-2.0

#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

# Deliverables path
DESTDIR ?= /usr/local
BINDIR ?= $(DESTDIR)/bin

# Tools path
ECHO ?= echo
DOCKER ?= docker
GO ?= go
MKDIR ?= mkdir
TAR ?= tar
INSTALL ?= install
GIT ?= git

TARGET_BIN=containerd-fuse-overlayfs-grpc

VERSION ?= $(shell $(GIT) describe --match 'v[0-9]*' --dirty='.m' --always --tags)
VERSION_TRIMMED := $(VERSION:v%=%)
REVISION ?= $(shell $(GIT) rev-parse HEAD)$(shell if ! $(GIT) diff --no-ext-diff --quiet --exit-code; then $(ECHO) .m; fi)

PKG_MAIN := github.com/containerd/fuse-overlayfs-snapshotter/cmd/$(TARGET_BIN)
PKG_VERSION := github.com/containerd/fuse-overlayfs-snapshotter/cmd/$(TARGET_BIN)/version

export GO_BUILD=GO111MODULE=on CGO_ENABLED=0 $(GO) build -ldflags "-s -w -X $(PKG_VERSION).Version=$(VERSION) -X $(PKG_VERSION).Revision=$(REVISION)"

bin/$(TARGET_BIN):
	$(GO_BUILD) -o $@ $(PKG_MAIN)

all: binaries

help:
	@$(ECHO) "Usage: make <target>"
	@$(ECHO)
	@$(ECHO) " * 'install'   - Install binaries to system locations."
	@$(ECHO) " * 'uninstall' - Uninstall binaries from system."
	@$(ECHO) " * 'binaries'  - Build $(TARGET_BIN)."
	@$(ECHO) " * 'test'      - Run tests."
	@$(ECHO) " * 'clean'     - Clean artifacts."
	@$(ECHO) " * 'help'      - Show this help message."

binaries: bin/$(TARGET_BIN)

$(TARGET_BIN):
	$(GO_BUILD) -o $(CURDIR)/bin/$@ $(PKG_MAIN)

binaries: $(TARGET_BIN)

install:
	$(INSTALL) -D -m 755 $(CURDIR)/bin/$(TARGET_BIN) $(BINDIR)/$(TARGET_BIN)

uninstall:
	$(RM) $(BINDIR)/$(TARGET_BIN)

clean:
	$(RM) -r $(CURDIR)/bin $(CURDIR)/_output

TEST_DOCKER_IMG_TAG=containerd-fuse-overlayfs-test

test:
	DOCKER_BUILDKIT=1 $(DOCKER) build -t $(TEST_DOCKER_IMG_TAG) --build-arg FUSEOVERLAYFS_COMMIT=${FUSEOVERLAYFS_COMMIT} .
	$(DOCKER) run --rm $(TEST_DOCKER_IMG_TAG) fuse-overlayfs -V
	$(DOCKER) run --rm --security-opt seccomp=unconfined --security-opt apparmor=unconfined --device /dev/fuse $(TEST_DOCKER_IMG_TAG)
	$(DOCKER) rmi $(TEST_DOCKER_IMG_TAG)

_test:
	$(GO) test -exec rootlesskit -test.v -test.root

TAR_FLAGS=--transform 's/.*\///g' --owner=0 --group=0

ARTIFACT_NAME=containerd-fuse-overlayfs-$(VERSION_TRIMMED)

artifacts: clean
	$(MKDIR) -p _output
	GOOS=linux GOARCH=amd64 make -B
	$(TAR) $(TAR_FLAGS) -czvf _output/$(ARTIFACT_NAME)-linux-amd64.tar.gz $(CURDIR)/bin/*
	GOOS=linux GOARCH=arm64 make -B
	$(TAR) $(TAR_FLAGS) -czvf _output/$(ARTIFACT_NAME)-linux-arm64.tar.gz $(CURDIR)/bin/*
	GOOS=linux GOARCH=arm GOARM=7 make -B
	$(TAR) $(TAR_FLAGS) -czvf _output/$(ARTIFACT_NAME)-linux-arm-v7.tar.gz $(CURDIR)/bin/*
	GOOS=linux GOARCH=ppc64le make -B
	$(TAR) $(TAR_FLAGS) -czvf _output/$(ARTIFACT_NAME)-linux-ppc64le.tar.gz $(CURDIR)/bin/*
	GOOS=linux GOARCH=s390x make -B
	$(TAR) $(TAR_FLAGS) -czvf _output/$(ARTIFACT_NAME)-linux-s390x.tar.gz $(CURDIR)/bin/*
	GOOS=linux GOARCH=riscv64 make -B
	$(TAR) $(TAR_FLAGS) -czvf _output/$(ARTIFACT_NAME)-linux-riscv64.tar.gz $(CURDIR)/bin/*

.PHONY: \
	$(TARGET_BIN) \
	install \
	uninstall \
	clean \
	test \
	_test \
	artifacts \
	help

=== debian/changelog ===
docker.io (27.5.1+dfsg3-4) unstable; urgency=medium

  * debian/control: fixup notary sources
  * add appropriate Breaks relationships
  * Drop too verbose NEWS file, Closes: #1118974

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Oct 2025 20:58:03 -0400

docker.io (27.5.1+dfsg3-3) unstable; urgency=medium

  * Fix architecture checks for mips64el when running unit tests
  * Add a warning about iptables rules, and the bridge interface,
    Closes: #1034622, #929315

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Oct 2025 09:49:19 -0400

docker.io (27.5.1+dfsg3-2) unstable; urgency=medium

  * Upload to unstable, Closes: #1118147
  * Drop Suggests on cgroupfs-mount, Closes: #1099041

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Oct 2025 06:40:25 -0400

docker.io (27.5.1+dfsg3-1) experimental; urgency=medium

  * Repack tarball:
    - Vendor 'notary'. This only includes the necessary bits and pieces
      needed to build docker
    - use package k8s sources for golang-k8s-sigs-yaml-dev
  * Add distro patches to fix tests and have failures break the build
    - Skip flaky test TestPrunePromptTermination
  * debian/copyright:
    - drop phayes/permbits, no longer used
    - drop client/mflag pattern
    - remove unused copyright paragraph bsd-3-clause-google
    - replace old FSF address with its website
  * Bump Standards version, no changes needed
  * Lintian cleanups:
    - move groff lintian override to the cli package
    - add lintian overrides for golang-github-docker-docker-dev
    - docker.io.lintian-overrides: drop unneeded overrides
    - docker.init: uses bashisms
    - delete unneded patches
    - Add override for docker-doc
    - Replace "Built-Using" with "Static-Built-Using"
    - Rearrange some more lintian overrides
  * Unbreak upgrades from docker.io 26.1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Oct 2025 16:05:23 -0400

docker.io (26.1.5+dfsg2-1) unstable; urgency=medium

  * Vendor 'notary'. This only includes the necessary bits and pieces
    needed to build docker

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Oct 2025 05:40:20 -0400

=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arnaud Rebillout <arnaudr@kali.org>
          ,Dmitry Smirnov <onlyjob@debian.org>
          ,Tim Potter <tpot@hpe.com>
          ,Tianon Gravi <tianon@debian.org>
          ,Paul Tagliamonte <paultag@debian.org>
          ,Reinhard Tartler <siretart@tauware.de>
Build-Conflicts: golang-github-docker-docker-dev
Build-Depends: debhelper-compat (= 13) ,dh-apparmor ,dh-golang (>= 1.14~)
    ,bash-completion
    ,ca-certificates
    ,golang-any (>= 2:1.10~)
    ,go-md2man (>= 1.0.3~)
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-etcd-server-dev
    ,golang-github-adamkorcz-go-fuzz-headers-1-dev
    ,golang-github-agext-levenshtein-dev
    ,golang-github-armon-circbuf-dev
    ,golang-github-armon-go-metrics-dev
    ,golang-github-aws-aws-sdk-go-v2-dev
    ,golang-github-aws-smithy-go-dev
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-bits-and-blooms-bitset-dev
    ,golang-github-bsphere-le-go-dev
    ,golang-github-burntsushi-toml-dev
    ,golang-github-cespare-xxhash-dev
    ,golang-github-cenkalti-backoff-dev
    ,golang-github-cilium-ebpf-dev
    ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
    ,golang-github-containerd-console-dev
    ,golang-github-containerd-containerd-dev (>= 1.7.23~)
    ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
    ,golang-github-containerd-fifo-dev (>= 1.1.0~)
    ,golang-github-containerd-go-cni-dev
    ,golang-github-containerd-go-runc-dev (>= 1.1.0)
    ,golang-github-containerd-typeurl-dev (>= 2.1.1-2)
    ,golang-github-containernetworking-plugins-dev
    ,golang-github-coreos-bbolt-dev (>= 1.3.10)
    ,golang-github-coreos-go-systemd-dev (>= 20~)
    ,golang-github-creack-pty-dev
    ,golang-github-cyphar-filepath-securejoin-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-deckarep-golang-set-dev (>= 2.3.0~)
    ,golang-github-dimchansky-utfbom-dev
    ,golang-github-distribution-reference-dev
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-events-dev
    ,golang-github-docker-go-metrics-dev
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-libkv-dev
    ,golang-github-docker-libtrust-dev
    ,golang-github-felixge-httpsnoop-dev
    ,golang-github-fernet-fernet-go-dev
    ,golang-github-fluent-fluent-logger-golang-dev (>= 1.3.0~)
    ,golang-github-fsnotify-fsnotify-dev
    ,golang-github-fvbommel-sortorder-dev
    ,golang-github-go-logr-logr-dev
    ,golang-github-go-logr-stdr-dev
    ,golang-github-go-viper-mapstructure-dev (>> 2.2.1-1)
    ,golang-github-gofrs-flock-dev
    ,golang-github-gogo-googleapis-dev
    ,golang-github-golang-groupcache-dev
    ,golang-github-golang-jwt-jwt-v5-dev
    ,golang-github-googleapis-gax-go-dev
    ,golang-github-google-go-cmp-dev (>= 0.2.0~)
    ,golang-github-google-shlex-dev
    ,golang-github-google-uuid-dev
    ,golang-github-gorilla-mux-dev (>= 1.7.1~)
    ,golang-github-gotestyourself-gotest.tools-dev
    ,golang-github-graylog2-go-gelf-dev (>= 0.0+git20191017~)
    ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
    ,golang-github-grpc-ecosystem-grpc-opentracing-dev
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-immutable-radix-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
    ,golang-github-hashicorp-serf-dev
    ,golang-github-imdario-mergo-dev (>= 0.3.3~)
    ,golang-github-in-toto-in-toto-golang-dev
    ,golang-github-ishidawataru-sctp-dev
    ,golang-github-json-iterator-go-dev (>= 1.1.4~)
    ,golang-github-klauspost-compress-dev
    ,golang-github-mattn-go-runewidth-dev
    ,golang-github-miekg-dns-dev (>= 1.1.26~)
    ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
    ,golang-github-moby-docker-image-spec-dev
    ,golang-github-moby-locker-dev
    ,golang-github-moby-patternmatcher-dev
    ,golang-github-moby-pubsub-dev
    ,golang-github-moby-sys-dev (>> 0.0~git20250819.9dc3a90)
    ,golang-github-moby-term-dev
    ,golang-github-modern-go-reflect2-dev
    ,golang-github-morikuni-aec-dev
    ,golang-github-nxadm-tail-dev
    ,golang-github-onsi-ginkgo-dev
    ,golang-github-opencontainers-cgroups-dev (>= 0.0.1~)
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
    ,golang-github-opencontainers-selinux-dev (>= 1.8.0~)
    ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
    ,golang-github-opentracing-contrib-go-stdlib-dev
    ,golang-github-opentracing-opentracing-go-dev (>= 0.0~git20180507)
    ,golang-opentelemetry-contrib-dev (>= 0.56)
    ,golang-opentelemetry-otel-dev (>= 1.31)
    ,golang-opentelemetry-proto-dev (>= 1.3.1)
    ,golang-github-pelletier-go-toml-dev
    ,golang-github-philhofer-fwd-dev
    ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
    ,golang-github-racksec-srslog-dev
    ,golang-github-rcrowley-go-metrics-dev
    ,golang-github-samuel-go-zookeeper-dev
    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
    ,golang-github-spf13-cobra-dev (>= 1.1.1~)
    ,golang-github-spf13-pflag-dev (>= 1.0.5-2~)
    ,golang-github-stretchr-testify-dev
    ,golang-github-tchap-go-patricia-dev
#    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20200724~)
    ,golang-github-tonistiigi-units-dev
    ,golang-github-tonistiigi-vt100-dev
    ,golang-github-rootless-containers-rootlesskit-dev (>= 2)
    ,golang-github-secure-systems-lab-go-securesystemslib-dev
    ,golang-github-urfave-cli-dev (>= 1.20.0~)
    ,golang-github-vbatts-tar-split-dev (>= 0.11.1~)
    ,golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~)
    ,golang-golang-x-net-dev
    ,golang-golang-x-oauth2-google-dev | golang-golang-x-oauth2-dev
    ,golang-golang-x-term-dev
    ,golang-golang-x-time-dev
    ,golang-google-api-dev
    ,golang-github-golang-protobuf-1-5-dev
    ,golang-google-cloud-dev
    ,golang-google-grpc-dev (>> 1.66.3)
    ,golang-go-zfs-dev
    ,golang-protobuf-extensions-dev
    ,golang-k8s-klog-dev
    ,golang-k8s-sigs-yaml-dev
    ,gotestsum
    ,libapparmor-dev
    ,libseccomp-dev
    ,libsystemd-dev
    ,pkgconf
    ,procps
    ,tzdata
# tests:
    ,git
    ,golang-github-adalogics-go-fuzz-headers-dev
Homepage: https://mobyproject.org
Vcs-Browser: https://salsa.debian.org/go-team/packages/docker
Vcs-Git: https://salsa.debian.org/go-team/packages/docker.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/docker/docker
    ,github.com/docker/cli
    ,github.com/moby/buildkit
    ,github.com/moby/ipvs

Package: docker.io
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,adduser
    ,containerd (>= 1.4~)
    ,iptables
    ,sysvinit-utils (>= 3.05-4~)
    ,runc (>= 1.0.0~rc8~)
    ,tini
Recommends: apparmor
    ,ca-certificates
    ,dbus-user-session
    ,docker-cli
    ,git
    ,needrestart (>= 3.1~)
    ,xz-utils
Conflicts:
## Docker's vendor packages:
    docker-ce
    ,docker-ce-rootless-extras
Suggests: docker-doc
    ,aufs-tools
    ,btrfs-progs
    ,debootstrap
    ,e2fsprogs
    ,rinse
    ,rootlesskit
    ,xfsprogs
    ,zfs-fuse | zfsutils-linux
Static-Built-Using: ${misc:Static-Built-Using}
Description: Linux container runtime
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon only. For the command-line utility
 "/usr/bin/docker", please install the "docker-cli" package.
 .
 WARNING: Installation starts the daemon immediately and adds iptables rules
 for container networking. These may disrupt existing firewall setups or VM
 networking, potentially breaking connectivity. Test on non-critical systems
 first. To disable: set DOCKER_OPTS="--iptables=false" in /etc/default/docker
 before install. Also, the default configuration will create a "docker0" bridge
 interface for container networking. To configure this behavior, please check
 the documentation on the "--bip" and "-b" command-line arguments in
 dockerd(8).

Package: docker-cli
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends} ,${shlibs:Depends}
Conflicts:
## Docker's (old) vendor package:
    docker-ce-cli
## podman-docker is providing an alternative docker implementation
    ,podman-docker
# the version of "docker.io" prior to the introduction of the separate "docker-cli" package
Replaces: docker.io (<< 27.5.1)
Breaks: docker.io (<< 27.5.1)
Recommends: docker-buildx
Suggests: docker-doc
Static-Built-Using: ${misc:Static-Built-Using}
Description: Linux container runtime -- client
 This package contains the "docker" client binary for interacting with a running
 Docker daemon.
 .
 See the "docker.io" package for the full Docker daemon experience.

Package: golang-github-docker-docker-dev
Architecture: all
Section: golang
Depends: ${misc:Depends}
    ,golang-github-armon-circbuf-dev
    ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
    ,golang-github-containerd-containerd-dev (>= 1.7.23~)
    ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
    ,golang-github-containerd-platforms-dev
    ,golang-github-containerd-typeurl-dev (>= 2.1.1-2)
    ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-docker-credential-helpers-dev (>= 0.6.1~)
    ,golang-github-docker-go-connections-dev (>= 0.4.0~)
    ,golang-github-docker-go-metrics-dev
    ,golang-github-docker-go-units-dev (>= 0.4.0~)
    ,golang-github-docker-libkv-dev
    ,golang-github-distribution-reference-dev
    ,golang-github-fsnotify-fsnotify-dev
    ,golang-github-fvbommel-sortorder-dev
    ,golang-github-go-viper-mapstructure-dev (>> 2.2.1-1)
##    ,golang-github-gogo-googleapis-dev # not needed?
    ,golang-github-gorilla-mux-dev (>= 1.7.1~)
    ,golang-github-in-toto-in-toto-golang-dev
    ,golang-github-mitchellh-hashstructure-dev (>= 2.0.2)
    ,golang-github-moby-docker-image-spec-dev
    ,golang-github-moby-locker-dev
    ,golang-github-moby-patternmatcher-dev
    ,golang-github-moby-pubsub-dev
    ,golang-github-moby-sys-dev (>> 0.0~git20250819.9dc3a90)
    ,golang-github-moby-term-dev
    ,golang-github-morikuni-aec-dev
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
    ,golang-github-opencontainers-selinux-dev (>= 1.8.0~)
    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
    ,golang-github-spf13-cobra-dev (>= 1.1.1~)
    ,golang-github-tchap-go-patricia-dev
    ,golang-github-tonistiigi-fsutil-dev
    ,golang-github-tonistiigi-units-dev
    ,golang-github-tonistiigi-vt100-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-sys-dev (>= 0.0~git20190726~)
    ,golang-opentelemetry-contrib-dev (>= 0.42)
    ,golang-opentelemetry-otel-dev (>= 1.21)
# libnetwork:
    ,golang-dbus-dev (>= 5.0.2~)
    ,golang-github-deckarep-golang-set-dev
    ,golang-github-docker-go-events-dev
    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
    ,golang-github-hashicorp-serf-dev
    ,golang-github-ishidawataru-sctp-dev
    ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
    ,golang-github-vishvananda-netns-dev
Breaks:
    ,docker-compose (<< 2.32)
    ,golang-github-docker-buildx-dev (<< 0.19)
    ,golang-github-containers-buildah (<< 1.41.5+ds1-2)
    ,golang-github-openshift-imagebuilder (<< 1.2.15+ds1-2)
Conflicts:
    golang-github-docker-notary-dev
Replaces:
    golang-github-docker-notary-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The engine is built and tested using upstream scripts
# and Makefiles, rather than dh_auto_*. Therefore we can't rely
# on dh to set the environment for us, we have to do it here.
export GOPATH := $(CURDIR)/_build
export GOCACHE := $(GOPATH)/go-build
export GO111MODULE := off
export GOPROXY := off

#export DH_GOLANG_BUILDPKG := github.com/docker/docker github.com/docker/cli
export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_INSTALL_EXTRA := testdata/
export DH_GOLANG_EXCLUDES := \
    integration-cli \
    overlay_test \
    vendor

# Package names
CLI_PKG        := github.com/docker/cli
ENGINE_PKG     := github.com/docker/docker
BUILDKIT_PKG   := github.com/moby/buildkit

# Version and commits
DOCKER_VERSION := $(DEB_VERSION_UPSTREAM)
ENGINE_GITCOMMIT := $(shell ./debian/helpers/gitcommit.sh engine $(DOCKER_VERSION))
ifndef ENGINE_GITCOMMIT
  $(error Missing ENGINE_GITCOMMIT - see debian/helpers/engine-gitcommits)
endif
CLI_GITCOMMIT    := $(shell ./debian/helpers/gitcommit.sh cli $(DOCKER_VERSION))
ifndef CLI_GITCOMMIT
  $(error Missing CLI_GITCOMMIT - see debian/helpers/cli-gitcommits)
endif

# Cf. scripts/build/binary scripts/build/.variables
CLI_BUILDTIME := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" +"%Y-%m-%dT%H:%M:%SZ")
CLI_BUILDTAGS := pkcs11
CLI_LDFLAGS   += -X $(CLI_PKG)/cli/version.BuildTime=$(CLI_BUILDTIME)
CLI_LDFLAGS   += -X $(CLI_PKG)/cli/version.GitCommit=$(CLI_GITCOMMIT)
CLI_LDFLAGS   += -X $(CLI_PKG)/cli/version.Version=$(DOCKER_VERSION)
ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
CLI_BUILDMODE := -buildmode=pie
endif

# Cf. hack/make.sh hack/make/.binary
ENGINE_BUILDTIME := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" --rfc-3339 ns | sed -e 's/ /T/')
ENGINE_BUILDTAGS := apparmor seccomp journald
ENGINE_TESTFLAGS := -test.short
ENGINE_LDFLAGS   := -w
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.Version=$(DOCKER_VERSION)
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.GitCommit=$(ENGINE_GITCOMMIT)
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.BuildTime=$(ENGINE_BUILDTIME)
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.PlatformName=
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.ProductName=docker
ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.DefaultProductLicense=

ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
ENGINE_BUILDMODE := -buildmode=pie
endif

BUILT_LIBC := $(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libc-dev-bin)

%:
	dh $@ --buildsystem=golang --with=bash-completion,golang --builddirectory=_build

override_dh_golang:
## Set DH_GOLANG_BUILDPKG so that Static-Built-Using is properly generated.
	DH_GOLANG_BUILDPKG="$(CLI_PKG)/... $(ENGINE_PKG)/... $(BUILDKIT_PKG)/..." \
	  dh_golang -O--buildsystem=golang -O--builddirectory=_build

override_dh_clean:
	dh_clean
	$(RM) -v -r autogen bundles man/man*/ debian/tmphome
#	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say grep { $$_=q{ */}.$$_ } split(/\s+/,$$1) if m{^Files\-Excluded:\s*(.*?)(?:\n\n|^Files|^Comment:)}sm;' debian/copyright`
	-find */vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_configure:
## dh_auto_configure symlinks dirs from "/usr/share/gocode/src" into
## $(GOPATH) unless folders already exist there in which case files
## are copied. Pre-making directories allows us to use debhelper to
## create proper GOPATH source tree yet have certain directories writable
## even if they are provided by already installed package.
	mkdir -pv $(GOPATH)/src/$(CLI_PKG)
	mkdir -pv $(GOPATH)/src/$(ENGINE_PKG)
	mkdir -pv $(GOPATH)/src/$(BUILDKIT_PKG)

## Prepare builddirectory but throw away sourcedirectory.
	DH_GOPKG="__IGNORE__" dh_auto_configure

## Each package must be removed from working tree first, in case some
## of the packages that we are going to build are already installed.
## This is also useful for building in unclean environment.
##
## This is _necessary_ to avoid merging packages that we build with
## pre-installed packages. See #827226 for details.
## Debhelper knows only about "main" DH_GOPKG package but we build several
## and we have to ensure that build tree is properly prepared.
	$(RM) -r              $(GOPATH)/src/$(CLI_PKG)
	cp -ra  cli           $(GOPATH)/src/$(CLI_PKG)
	$(RM) -r              $(GOPATH)/src/$(ENGINE_PKG)
	cp -ra  engine        $(GOPATH)/src/$(ENGINE_PKG)
	$(RM) -r              $(GOPATH)/src/$(BUILDKIT_PKG)
	cp -ra  buildkit      $(GOPATH)/src/$(BUILDKIT_PKG)

override_dh_auto_build:
## Order is important:

	# enable when we start additional binaries, such as buildkitd, etc.
	# GENERATE=0 avoid protoc and gogoprotobuf dependencies
	#DH_GOPKG=$(BUILDKIT_PKG) DH_GOLANG_GO_GENERATE=0 dh_auto_build -v

	DH_GOPKG=$(ENGINE_PKG) DH_GOLANG_BUILDPKG=$(ENGINE_PKG)/cmd/dockerd \
	  dh_auto_build -v -- -tags '$(ENGINE_BUILDTAGS)' $(ENGINE_BUILDMODE) -ldflags '$(ENGINE_LDFLAGS)'

	DH_GOPKG=$(ENGINE_PKG) DH_GOLANG_BUILDPKG=$(ENGINE_PKG)/cmd/docker-proxy \
	  dh_auto_build -v -- -tags '$(ENGINE_BUILDTAGS)' $(ENGINE_BUILDMODE) -ldflags '$(ENGINE_LDFLAGS)'

	DH_GOPKG=$(CLI_PKG) DH_GOLANG_BUILDPKG=$(CLI_PKG)/cmd/docker \
	  dh_auto_build -v -- -tags '$(CLI_BUILDTAGS)' -ldflags '$(CLI_LDFLAGS)' $(CLI_BUILDMODE)
	cd $(GOPATH)/src/$(CLI_PKG) && ./scripts/docs/generate-man.sh

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# basic smoke test -- these must pass
	_build/bin/docker --version
	_build/bin/dockerd --version

	## Test engine:
ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
	cd $(GOPATH)/src/$(ENGINE_PKG) && PATH=$(GOPATH)/bin:$(PATH) TESTFLAGS='$(ENGINE_TESTFLAGS)' ./hack/test/unit
else
	-cd $(GOPATH)/src/$(ENGINE_PKG) && PATH=$(GOPATH)/bin:$(PATH) TESTFLAGS='$(ENGINE_TESTFLAGS)' ./hack/test/unit
endif

	mkdir -p $(CURDIR)/debian/tmphome/tmp
ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
	cd $(GOPATH)/src/$(CLI_PKG) && HOME=$(CURDIR)/debian/tmphome TMPDIR=$(CURDIR)/debian/tmphome/tmp PATH=$(GOPATH)/bin:$(PATH) DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit GO111MODULE=off
else
	-cd $(GOPATH)/src/$(CLI_PKG) && HOME=$(CURDIR)/debian/tmphome TMPDIR=$(CURDIR)/debian/tmphome/tmp PATH=$(GOPATH)/bin:$(PATH) DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit GO111MODULE=off
endif
endif

override_dh_install:
	## Do not install extra license files:
	dh_install -XLICENSE
	## Apparmor thing, not sure it's needed, we don't install a profile
	dh_apparmor --profile-name=docker.io -pdocker.io

override_dh_auto_install:
	## skip dh_auto_install to stop dh_golang trying to copy bits
	## for /usr/share/gocode (we use dh_install for that)

override_dh_installinit:
	dh_installinit -v --name=docker --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installsystemd:
	dh_installsystemd -v --name=docker --no-stop-on-upgrade --no-restart-after-upgrade

override_dh_installudev:
	# use priority z80 to match the upstream priority of 80
	dh_installudev -v --name=docker --priority=z80

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# https://wiki.debian.org/debian/watch
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
compression=xz,\
repack,repacksuffix=+dfsg3,\
dversionmangle=s{[+~]dfsg\d*}{},\
uversionmangle=s{(\d)[\-]?((rc|beta)\d*)$}{$1~$2},\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
searchmode=plain,\
" https://api.github.com/repos/moby/moby/releases?per_page=99 \
  https://api.github.com/repos/[^/]+/[^/]+/tarball/v?(27[\d.]+) debian ./debian/get-orig-source.sh

## docker.io 27.5.1+dfsg4

=== debian/changelog ===
docker.io (27.5.1+dfsg4-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove since all tests are related to the docker application
      provided by docker.io binary package.
    - d/golang-github-docker-docker-dev.docs: install NOTICE files to comply
      with Apache license.
    - d/control: add non default pkg.docker.with-bin Build-Profiles
      to disable building docker.io, docker-cli, and docker.io-doc binary package
      by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Nov 2025 07:56:41 +0100

docker.io (27.5.1+dfsg4-1) unstable; urgency=medium

  * Build against golang-github-hashicorp-go-immutable-radix-v2,
    drop patches that compile buildkit against v1
  * Depend on tini-static

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 06 Nov 2025 05:43:49 -0500

docker.io (27.5.1+dfsg3-6) unstable; urgency=medium

  * Add forgotten bug closure to previous upload
  * Fix breaks relationships to assist testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 29 Oct 2025 21:09:57 -0400

docker.io (27.5.1+dfsg3-5) unstable; urgency=medium

  * Drop suggests on aufs-tools, Closes: #1118988
  * Fixup revert to radix v1 patch, Closes: #1119134
  * debian/rules: no tests fail on mips, simplify test target
  * Add Breaks on crowdsec
  * Fixup revert to radix v1 patch, Closes: #1119134

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 28 Oct 2025 20:55:03 -0400

=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
     ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
     ,golang-github-grpc-ecosystem-grpc-opentracing-dev
     ,golang-github-hashicorp-go-memdb-dev
-    ,golang-github-hashicorp-go-immutable-radix-dev
+    ,golang-github-hashicorp-go-immutable-radix-v2-dev
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
     ,golang-github-hashicorp-serf-dev
     ,golang-github-imdario-mergo-dev (>= 0.3.3~)
@@ -159,7 +159,8 @@
     ,github.com/moby/ipvs
 
 Package: docker.io
-Architecture: linux-any
+Build-Profiles: <pkg.docker.with-bin>
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
     ,adduser
@@ -167,7 +168,7 @@
     ,iptables
     ,sysvinit-utils (>= 3.05-4~)
     ,runc (>= 1.0.0~rc8~)
-    ,tini
+    ,tini-static
 Recommends: apparmor
     ,ca-certificates
     ,dbus-user-session
@@ -180,7 +181,6 @@
     docker-ce
     ,docker-ce-rootless-extras
 Suggests: docker-doc
-    ,aufs-tools
     ,btrfs-progs
     ,debootstrap
     ,e2fsprogs
@@ -211,7 +211,8 @@
  dockerd(8).
 
 Package: docker-cli
-Architecture: linux-any
+Build-Profiles: <pkg.docker.with-bin>
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
 Conflicts:
@@ -286,11 +287,9 @@
     ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
     ,golang-github-vishvananda-netns-dev
 Breaks:
+    ,crowdsec (<< 1.4.6-10.1)
     ,docker-compose (<< 2.32)
     ,golang-github-docker-buildx-dev (<< 0.19)
-    ,golang-github-containers-buildah (<< 1.41.5+ds1-2)
-    ,golang-github-openshift-imagebuilder (<< 1.2.15+ds1-2)
+    ,golang-github-containers-buildah-dev (<< 1.41.5+ds1-2)
+    ,golang-github-openshift-imagebuilder-dev (<< 1.2.15+ds1-3)
 Conflicts:
-    golang-github-docker-notary-dev
-Replaces:
-    golang-github-docker-notary-dev

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="\
 pgpmode=none,\
 compression=xz,\
-repack,repacksuffix=+dfsg3,\
+repack,repacksuffix=+dfsg4,\
 dversionmangle=s{[+~]dfsg\d*}{},\
 uversionmangle=s{(\d)[\-]?((rc|beta)\d*)$}{$1~$2},\
 filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\

## docker.io 28.5.2+dfsg1

=== debian/changelog ===
docker.io (28.5.2+dfsg1-1) experimental; urgency=medium

  * New upstream release [28.5.2], update patches
  * fix tests on 32bit
  * debian/copyright:
    - Clarify licenses of debian/* packaging
  * debian/rules:
    - disable gcp support to fix build
  * use salsa-ci with custom orig source script
  * debian/control:
    - avoid grpc in experimental for now, breaks the build
    - bump Standards-Version, no changes needed
  * gitlab-ci.yml:
    - use salsa-pipeline
  * debian/copyright: cleanup start
    - unvendor various packages

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Jan 2026 08:16:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaudr@kali.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
@@ -9,7 +9,7 @@
           ,Tianon Gravi <tianon@debian.org>
           ,Paul Tagliamonte <paultag@debian.org>
           ,Reinhard Tartler <siretart@tauware.de>
-Build-Conflicts: golang-github-docker-docker-dev
+Build-Conflicts: golang-github-docker-docker-dev, golang-google-grpc-dev (>> 1.75)
 Build-Depends: debhelper-compat (= 13) ,dh-apparmor ,dh-golang (>= 1.14~)
     ,bash-completion
     ,ca-certificates
@@ -19,20 +19,22 @@
     ,golang-etcd-server-dev
     ,golang-github-adamkorcz-go-fuzz-headers-1-dev
     ,golang-github-agext-levenshtein-dev
+    ,golang-github-anchore-go-struct-converter-dev
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev
     ,golang-github-aws-aws-sdk-go-v2-dev
     ,golang-github-aws-smithy-go-dev
+    ,golang-github-azure-azure-sdk-for-go-dev (>> 68.0.0+git20231220)
     ,golang-github-azure-go-ansiterm-dev
     ,golang-github-bits-and-blooms-bitset-dev
     ,golang-github-bsphere-le-go-dev
     ,golang-github-burntsushi-toml-dev
+    ,golang-github-cenkalti-backoff-dev
     ,golang-github-cespare-xxhash-dev
-    ,golang-github-cenkalti-backoff-dev
     ,golang-github-cilium-ebpf-dev
     ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
     ,golang-github-containerd-console-dev
-    ,golang-github-containerd-containerd-dev (>= 1.7.23~)
+    ,golang-github-containerd-containerd-dev (>= 2.1.4~)
     ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
     ,golang-github-containerd-fifo-dev (>= 1.1.0~)
     ,golang-github-containerd-go-cni-dev
@@ -55,6 +57,7 @@
     ,golang-github-docker-go-units-dev (>= 0.4.0~)
     ,golang-github-docker-libkv-dev
     ,golang-github-docker-libtrust-dev
+    ,golang-github-felixge-fgprof-dev
     ,golang-github-felixge-httpsnoop-dev
     ,golang-github-fernet-fernet-go-dev
     ,golang-github-fluent-fluent-logger-golang-dev (>= 1.3.0~)
@@ -67,17 +70,20 @@
     ,golang-github-gogo-googleapis-dev
     ,golang-github-golang-groupcache-dev
     ,golang-github-golang-jwt-jwt-v5-dev
-    ,golang-github-googleapis-gax-go-dev
     ,golang-github-google-go-cmp-dev (>= 0.2.0~)
     ,golang-github-google-shlex-dev
     ,golang-github-google-uuid-dev
+    ,golang-github-googleapis-gax-go-dev
     ,golang-github-gorilla-mux-dev (>= 1.7.1~)
     ,golang-github-gotestyourself-gotest.tools-dev
     ,golang-github-graylog2-go-gelf-dev (>= 0.0+git20191017~)
     ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
     ,golang-github-grpc-ecosystem-grpc-opentracing-dev
+    ,golang-github-hanwen-go-fuse-dev
+    ,golang-github-hashicorp-go-cleanhttp-dev
+    ,golang-github-hashicorp-go-immutable-radix-v2-dev
     ,golang-github-hashicorp-go-memdb-dev
-    ,golang-github-hashicorp-go-immutable-radix-v2-dev
+    ,golang-github-hashicorp-go-retryablehttp-dev
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
     ,golang-github-hashicorp-serf-dev
     ,golang-github-imdario-mergo-dev (>= 0.3.3~)
@@ -96,6 +102,7 @@
     ,golang-github-moby-term-dev
     ,golang-github-modern-go-reflect2-dev
     ,golang-github-morikuni-aec-dev
+    ,golang-github-munnerz-goautoneg-dev
     ,golang-github-nxadm-tail-dev
     ,golang-github-onsi-ginkgo-dev
     ,golang-github-opencontainers-cgroups-dev (>= 0.0.1~)
@@ -105,18 +112,21 @@
     ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
     ,golang-github-opentracing-contrib-go-stdlib-dev
     ,golang-github-opentracing-opentracing-go-dev (>= 0.0~git20180507)
-    ,golang-opentelemetry-contrib-dev (>= 0.56)
-    ,golang-opentelemetry-otel-dev (>= 1.31)
-    ,golang-opentelemetry-proto-dev (>= 1.3.1)
+    ,golang-github-package-url-packageurl-go-dev
     ,golang-github-pelletier-go-toml-dev
     ,golang-github-philhofer-fwd-dev
     ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
     ,golang-github-racksec-srslog-dev
     ,golang-github-rcrowley-go-metrics-dev
+    ,golang-github-russross-blackfriday-v2-dev
     ,golang-github-samuel-go-zookeeper-dev
     ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
+    ,golang-github-spdx-tools-golang-dev
     ,golang-github-spf13-cobra-dev (>= 1.1.1~)
     ,golang-github-spf13-pflag-dev (>= 1.0.5-2~)
+    ,golang-opentelemetry-contrib-dev (>= 0.56)
+    ,golang-opentelemetry-otel-dev (>= 1.31)
+    ,golang-opentelemetry-proto-dev (>= 1.3.1)
     ,golang-github-stretchr-testify-dev
     ,golang-github-tchap-go-patricia-dev
 #    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20200724~)
@@ -129,16 +139,20 @@
     ,golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~)
     ,golang-golang-x-net-dev
     ,golang-golang-x-oauth2-google-dev | golang-golang-x-oauth2-dev
+    ,golang-github-golang-protobuf-1-5-dev
+    ,golang-go.uber-atomic-dev
+    ,golang-go.uber-multierr-dev
+    ,golang-go.uber-zap-dev
     ,golang-golang-x-term-dev
     ,golang-golang-x-time-dev
     ,golang-google-api-dev
-    ,golang-github-golang-protobuf-1-5-dev
-    ,golang-google-cloud-dev
+#    ,golang-google-cloud-dev
     ,golang-google-grpc-dev (>> 1.66.3)
     ,golang-go-zfs-dev
     ,golang-protobuf-extensions-dev
     ,golang-k8s-klog-dev
     ,golang-k8s-sigs-yaml-dev
+    ,golang-kernel-pub-linux-libs-security-libcap-dev
     ,gotestsum
     ,libapparmor-dev
     ,libseccomp-dev
@@ -159,8 +173,7 @@
     ,github.com/moby/ipvs
 
 Package: docker.io
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
     ,adduser
@@ -211,8 +224,7 @@
  dockerd(8).
 
 Package: docker-cli
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
 Conflicts:
@@ -279,17 +291,3 @@
     ,golang-opentelemetry-otel-dev (>= 1.21)
 # libnetwork:
     ,golang-dbus-dev (>= 5.0.2~)
-    ,golang-github-deckarep-golang-set-dev
-    ,golang-github-docker-go-events-dev
-    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
-    ,golang-github-hashicorp-serf-dev
-    ,golang-github-ishidawataru-sctp-dev
-    ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
-    ,golang-github-vishvananda-netns-dev
-Breaks:
-    ,crowdsec (<< 1.4.6-10.1)
-    ,docker-compose (<< 2.32)
-    ,golang-github-docker-buildx-dev (<< 0.19)
-    ,golang-github-containers-buildah-dev (<< 1.41.5+ds1-2)
-    ,golang-github-openshift-imagebuilder-dev (<< 1.2.15+ds1-3)
-Conflicts:

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# https://wiki.debian.org/debian/watch
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
compression=xz,\
repack,repacksuffix=+dfsg1,\
dversionmangle=s{[+~]dfsg\d*}{},\
uversionmangle=s{(\d)[\-]?((rc|beta)\d*)$}{$1~$2},\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
searchmode=plain,\
" https://api.github.com/repos/moby/moby/releases?per_page=99 \
  https://api.github.com/repos/[^/]+/[^/]+/tarball/v?(28[\d.]+) debian ./debian/get-orig-source.sh

## docker.io 28.5.2+dfsg2

=== debian/changelog ===
docker.io (28.5.2+dfsg2-1) experimental; urgency=medium

  * Repack tarball to include planetscale-vtprotobuf
    and tonistiigi-dchapes packages, Kudos to Nicolas Peugnet!

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Mar 2026 07:11:31 -0500

=== debian/control ===
--- 
+++ 
@@ -115,6 +115,7 @@
     ,golang-github-package-url-packageurl-go-dev
     ,golang-github-pelletier-go-toml-dev
     ,golang-github-philhofer-fwd-dev
+    ,golang-github-planetscale-vtprotobuf-dev
     ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
     ,golang-github-racksec-srslog-dev
     ,golang-github-rcrowley-go-metrics-dev
@@ -129,6 +130,7 @@
     ,golang-opentelemetry-proto-dev (>= 1.3.1)
     ,golang-github-stretchr-testify-dev
     ,golang-github-tchap-go-patricia-dev
+    ,golang-github-tonistiigi-dchapes-mode-dev
 #    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20200724~)
     ,golang-github-tonistiigi-units-dev
     ,golang-github-tonistiigi-vt100-dev
@@ -279,15 +281,12 @@
     ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
     ,golang-github-opencontainers-selinux-dev (>= 1.8.0~)
+    ,golang-github-planetscale-vtprotobuf-dev
     ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
     ,golang-github-spf13-cobra-dev (>= 1.1.1~)
     ,golang-github-tchap-go-patricia-dev
+    ,golang-github-tonistiigi-dchapes-mode-dev
     ,golang-github-tonistiigi-fsutil-dev
     ,golang-github-tonistiigi-units-dev
     ,golang-github-tonistiigi-vt100-dev
     ,golang-golang-x-net-dev
-    ,golang-golang-x-sys-dev (>= 0.0~git20190726~)
-    ,golang-opentelemetry-contrib-dev (>= 0.42)
-    ,golang-opentelemetry-otel-dev (>= 1.21)
-# libnetwork:
-    ,golang-dbus-dev (>= 5.0.2~)

=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 # Cf. hack/make.sh hack/make/.binary
 ENGINE_BUILDTIME := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" --rfc-3339 ns | sed -e 's/ /T/')
 ENGINE_BUILDTAGS := apparmor seccomp journald
-ENGINE_TESTFLAGS := -test.short
+ENGINE_TESTFLAGS := -test.short -vet=off
 ENGINE_LDFLAGS   := -w
 ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.Version=$(DOCKER_VERSION)
 ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.GitCommit=$(ENGINE_GITCOMMIT)
@@ -135,18 +135,10 @@
 	_build/bin/dockerd --version
 
 	## Test engine:
-ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
 	cd $(GOPATH)/src/$(ENGINE_PKG) && PATH=$(GOPATH)/bin:$(PATH) TESTFLAGS='$(ENGINE_TESTFLAGS)' ./hack/test/unit
-else
-	-cd $(GOPATH)/src/$(ENGINE_PKG) && PATH=$(GOPATH)/bin:$(PATH) TESTFLAGS='$(ENGINE_TESTFLAGS)' ./hack/test/unit
-endif
 
 	mkdir -p $(CURDIR)/debian/tmphome/tmp
-ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
 	cd $(GOPATH)/src/$(CLI_PKG) && HOME=$(CURDIR)/debian/tmphome TMPDIR=$(CURDIR)/debian/tmphome/tmp PATH=$(GOPATH)/bin:$(PATH) DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit GO111MODULE=off
-else
-	-cd $(GOPATH)/src/$(CLI_PKG) && HOME=$(CURDIR)/debian/tmphome TMPDIR=$(CURDIR)/debian/tmphome/tmp PATH=$(GOPATH)/bin:$(PATH) DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit GO111MODULE=off
-endif
 endif
 
 override_dh_install:

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="\
 pgpmode=none,\
 compression=xz,\
-repack,repacksuffix=+dfsg1,\
+repack,repacksuffix=+dfsg2,\
 dversionmangle=s{[+~]dfsg\d*}{},\
 uversionmangle=s{(\d)[\-]?((rc|beta)\d*)$}{$1~$2},\
 filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
